Bug 43887 - StandardWrapper.registerJMX() doesn't log exceptions correctly
StandardWrapper.registerJMX() doesn't log exceptions correctly
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.23
Other other
: P2 minor (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-11-16 15:31 UTC by Mike Baranczak
Modified: 2008-01-06 15:16 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Baranczak 2007-11-16 15:31:21 UTC
I was getting some rather unhelpful error messages when trying to deploy a
web.xml that included illegal servlet names. I tracked them down to this part of
/org/apache/catalina/core/StandardWrapper.java:

        } catch( Exception ex ) {
            log.info("Error registering servlet with jmx " + this);
        }

This should probably be changed to:

            log.info("Error registering servlet with jmx " + ex);

Same thing for the catch block ten lines below this one.


I first noticed this in 5.5.23, but this code is still present in 6.0 trunk.
Comment 1 Mark Thomas 2007-11-23 13:15:27 UTC
I have fixed this (with a slightly different patch) in trunk and proposed it for
inclusion in 6.0.x and 5.5.x
Comment 2 Mark Thomas 2007-11-27 14:44:27 UTC
Fixed in 6.0.x.
Comment 3 Mark Thomas 2008-01-06 15:16:44 UTC
Fixed in 5.5.x and will be included in 5.5.26 onwards.